import React, {Component} from 'react'
import './callback.scss'
import {http, getParam} from '@/utils'
import {Toast} from 'antd-mobile'
import {connect} from "react-redux";

class ExpandShare extends Component {
    state = {
    }

    componentDidMount() {
        this.getIndexData()
    }

    // 获取膨胀券相关
    getIndexData = () => {
        http.post(`${API['base-api']}/m/deposit/coupon`, {order_id: getParam('order_id')}).then((res) => {
            if (res.data.errno == 200) {
                const {data} = res.data
                this.setState({
                    data: data,
                })
            } else {
                Toast.info(res.data.msg, 2)
            }

        })
    }

    // 邀请好友助力
    invitation = (url) => {
        alert(url)
        const {user, history} = this.props;
        const uid = user && user.data && user.data.uid;
        if (!uid) {
            this.props.history.push('/passport/login')
        } else {
            window.location.href = url
        }
    }


    render() {
        let data = this.state.data
        return (
            <div className="callback-box">
              qqqqq
            </div>
        )
    }

}

export default connect(
    state => ({
        user: state.user
    }),
)(ExpandShare)
